Name:           comm_spy
Version:        2.2.2
Release:        1%{?dist}
License:        GPLv2+
Group:          Development/Tools
Summary:        comm_spy is an open-source wiretapping program for PMControl's ECMotor and Reva serial communication
URL:            https://vym.cz
Source:         https://vym.cz/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc
BuildRequires:  cmake

%description
comm_spy is an open-source wiretapping program for PMControl's ECMotor and Reva serial communication.
comm_spy listen and show communication on RS-232/485 with PMControl's servo motors or PMC's Reva system.

%prep
%setup -q

%build
mkdir -p build_release
(cd build_release && cmake -G "Unix Makefiles" -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=/usr ..)
(cd build_release && make )

%install
%{__rm} -rf $RPM_BUILD_ROOT
(cd build_release && make DESTDIR=$RPM_BUILD_ROOT install)

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING AUTHORS doc/*
%{_bindir}/comm_spy


%changelog
* Tue Apr 10 2018 Pavel Vymetálek <pavel@vym.cz>
- fixed ECM and REVA communication detector
- I/O error (removed USB serial converter) is evaluated

* Fri Nov 28 2014 Pavel Vymetálek
- First rpm release
- add schematics of simple cable


